repos:
  - repo: https://gitlab.com/flywheel-io/tools/etc/qa-ci
    rev: main
    hooks:
      - id: poetry_export
      - id: gearcheck
      - id: hadolint
      - id: jsonlint
      - id: linkcheck
      - id: markdownlint
      - id: yamllint
      - id: ruff
        args: [--ignore, "E501"]
      - id: ruff_format
      - id: ruff_tests
      - id: pytest
